Package org.snpeff.util

# Class CombinatorialIterator

java.lang.Object
org.snpeff.util.CombinatorialIterator

All Implemented Interfaces:
  `Iterable<int[]>`, `Iterator<int[]>`

public class CombinatorialIterator extends Object implements Iterable<int[]>, Iterator<int[]>
Generate all possible 'count' combinations

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`CombinatorialIterator(int size)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`void`
`inc()`
`Iterator<int[]>`
`iterator()`
`int[]`
`next()`
`void`
`remove()`
`void`
`set(int idx, int min, int max)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### CombinatorialIterator

public CombinatorialIterator(int size)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<int[]>`

### inc

public void inc()

### iterator

public Iterator<int[]> iterator()

Specified by:
  `iterator` in interface `Iterable<int[]>`

### next

public int[] next()

Specified by:
  `next` in interface `Iterator<int[]>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<int[]>`

### set

public void set(int idx, int min, int max)

### toString

public String toString()

Overrides:
  `toString` in class `Object`